### Constructor

# GtkSource Snippet new

#### Declaration [src]

    GtkSourceSnippet*
    gtk_source_snippet_new (
      const gchar* trigger,
      const gchar* language_id
    )

#### Description [src]

Creates a new `GtkSourceSnippet`.

#### Parameters

`trigger`

  Type: `const gchar*`

  The trigger word.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`language_id`

  Type: `const gchar*`

  The source language.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceSnippet`

A new `GtkSourceSnippet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.